Bug 33716 - telepathy-sofiasip crashes when receiving a call from user's own URI
Summary: telepathy-sofiasip crashes when receiving a call from user's own URI
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: rakia (show other bugs)
Version: unspecified
Hardware: Other All
: high major
Assignee: Mikhail Zabaluev
QA Contact: Telepathy bugs list
URL: http://git.collabora.co.uk/?p=user/za...
Whiteboard:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2011-01-30 04:58 UTC by Felix Möller
Modified: 2011-02-01 10:35 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Möller 2011-01-30 04:58:40 UTC
Hi,

I have reported https://bugzilla.redhat.com/show_bug.cgi?id=668308 a sigabrt in sofiasip. Today I realized that this happens just when I call myself. 

This might be a strange usage. But I have no problem with my cell phone client to call my own number and take it on another phone.

Attached to the bug at redhat you find the backtrace.

regards
Comment 1 David Laban 2011-01-31 04:44:51 UTC
further information:

telepathy-sofiasip correctly raises NotImplemented when you try to call yourself (since the StreamedMedia api doesn't support calling yourself) but if an INVITE comes in from yourself (sent from eg a hardware SIP phone) we *should* send BYE rather than asserting and falling off the bus.

I will write a test for this.

This is something that we should take into account when we're implementing voicemail: if our default "pick up your voicemail" action is to call ourselves (see https://bugs.freedesktop.org/show_bug.cgi?id=24901#c33) then when the call doesn't go through to voicemail (and instead comes through as a call to ourself) what should we do?
Comment 2 Mikhail Zabaluev 2011-01-31 05:20:00 UTC
Thanks for the information, I will try to fix this.
Comment 3 Mikhail Zabaluev 2011-01-31 09:56:09 UTC
A patch is available for review.
Comment 4 Mikhail Zabaluev 2011-01-31 09:57:41 UTC
(In reply to comment #1)
> This is something that we should take into account when we're implementing
> voicemail: if our default "pick up your voicemail" action is to call ourselves
> (see https://bugs.freedesktop.org/show_bug.cgi?id=24901#c33) then when the call
> doesn't go through to voicemail (and instead comes through as a call to
> ourself) what should we do?

Add a feature request to implement Call.
Comment 5 David Laban 2011-01-31 10:14:14 UTC
Looks good. Ship it.
Comment 6 Mikhail Zabaluev 2011-01-31 10:49:44 UTC
(In reply to comment #5)
> Looks good. Ship it.

Thanks, pushed to master and telepathy-sofiasip-0.6.
Comment 7 Mikhail Zabaluev 2011-01-31 10:50:34 UTC
(In reply to comment #1)
> I will write a test for this.

This is very welcome, of course.
Comment 8 David Laban 2011-01-31 10:56:39 UTC
I was going to get you to add a test for this too, but then realised that I hadn't merged my tests branch yet, so I thought I'd better do it myself.

I cherry-picked your patch and pushed to
http://git.collabora.co.uk/?p=user/alsuren/telepathy-sofiasip.git;a=shortlog;h=refs/heads/invite-from-self

I hope you like it :)
Comment 9 Mikhail Zabaluev 2011-02-01 04:17:24 UTC
(In reply to comment #8)
> I cherry-picked your patch and pushed to
> http://git.collabora.co.uk/?p=user/alsuren/telepathy-sofiasip.git;a=shortlog;h=refs/heads/invite-from-self
> 
> I hope you like it :)

Oh yeah, thank you. Rebased and pushed to master.
Comment 10 Mikhail Zabaluev 2011-02-01 10:35:56 UTC
Fixed in telepathy-sofiasip 0.6.6 and upcoming telepathy-sofiasip 0.7.1.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.